Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class SubslotPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.SelectableContainer
                      edu.stanford.smi.protege.ui.SubslotPane

All Implemented Interfaces:
  Disposable, Selectable, ImageObserver, MenuContainer, Serializable

    public class SubslotPane

extends SelectableContainer

This component displays the superslot/subslot tree on the slots tab.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SubslotPane(Project p)`

Method Summary
`protected void` | `addButtons(LabeledComponent c)`
`protected Action` | `createCollapseAllAction()`
`protected Action` | `createExpandAllAction()`
`protected LazyTreeRoot` | `createRoot(KnowledgeBase kb)`
`void` | `dispose()`
`void` | `extendSelection(Slot slot)`
`protected Action` | `getChangeSlotMetaclassAction(Slot slot)`
`protected Action` | `getChangeSubslotSlotMetaclassAction(Slot slot)`
`protected Action` | `getCreateAction()`
`protected Action` | `getCreateSlotWithSlotMetaclassAction()`
`protected Action` | `getCreateSubslotAction()`
`protected Action` | `getDeleteAction()`
`Slot` | `getDisplayParent()`
`JTree` | `getDropComponent()`
`LabeledComponent` | `getLabeledComponent()`
`List` | `getPath(Slot slot, List list)`
`protected JPopupMenu` | `getPopupMenu()`
`protected Action` | `getViewAction()`
`protected void` | `handleDelete(Collection slots)`
`protected Cls` | `pickConcreteCls(Collection allowedClses, String text)`
`void` | `removeSelection()`
`void` | `setDisplayParent(Slot slot)`
`void` | `setExpandedSlot(Slot slot, boolean expanded)`
`void` | `setFinderComponent(JComponent c)`
`void` | `setRenderer(DefaultRenderer renderer)`
`void` | `setSelectedSlot(Slot slot)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.util.SelectableContainer
`addSelectionListener, clearSelection, equals, getSelectable, getSelection, getSoleSelection, notifySelectionListeners, onSelectionChange, removeSelectionListener, setNotificationsEnabled, setSelectable`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubslotPane

    public SubslotPane(Project p)

Method Detail

### getLabeledComponent

    public LabeledComponent getLabeledComponent()

### createRoot

    protected LazyTreeRoot createRoot(KnowledgeBase kb)

### addButtons

    protected void addButtons(LabeledComponent c)

### createCollapseAllAction

    protected Action createCollapseAllAction()

### createExpandAllAction

    protected Action createExpandAllAction()

### extendSelection

    public void extendSelection(Slot slot)

### getChangeSlotMetaclassAction

    protected Action getChangeSlotMetaclassAction(Slot slot)

### pickConcreteCls

    protected Cls pickConcreteCls(Collection allowedClses,
                                  String text)

### getChangeSubslotSlotMetaclassAction

    protected Action getChangeSubslotSlotMetaclassAction(Slot slot)

### getCreateAction

    protected Action getCreateAction()

### getCreateSlotWithSlotMetaclassAction

    protected Action getCreateSlotWithSlotMetaclassAction()

### getCreateSubslotAction

    protected Action getCreateSubslotAction()

### getDeleteAction

    protected Action getDeleteAction()

### handleDelete

    protected void handleDelete(Collection slots)

### getDisplayParent

    public Slot getDisplayParent()

### getDropComponent

    public JTree getDropComponent()

### getPath

    public List getPath(Slot slot,
                        List list)

### getPopupMenu

    protected JPopupMenu getPopupMenu()

### getViewAction

    protected Action getViewAction()

### removeSelection

    public void removeSelection()

### setExpandedSlot

    public void setExpandedSlot(Slot slot,
                                boolean expanded)

### setFinderComponent

    public void setFinderComponent(JComponent c)

### setRenderer

    public void setRenderer(DefaultRenderer renderer)

### setSelectedSlot

    public void setSelectedSlot(Slot slot)

### setDisplayParent

    public void setDisplayParent(Slot slot)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectableContainer`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `SelectableContainer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.